<!-------------------------------------------------------------------------------------------------
  - #%L                                                                                           -
  - chvote-vrum                                                                                   -
  - %%                                                                                            -
  - Copyright (C) 2016 - 2018 République et Canton de Genève                                      -
  - %%                                                                                            -
  - This program is free software: you can redistribute it and/or modify                          -
  - it under the terms of the GNU Affero General Public License as published by                   -
  - the Free Software Foundation, either version 3 of the License, or                             -
  - (at your option) any later version.                                                           -
  -                                                                                               -
  - This program is distributed in the hope that it will be useful,                               -
  - but WITHOUT ANY WARRANTY; without even the implied warranty of                                -
  - MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the                                  -
  - GNU General Public License for more details.                                                  -
  -                                                                                               -
  - You should have received a copy of the GNU Affero General Public License                      -
  - along with this program. If not, see <http://www.gnu.org/licenses/>.                          -
  - #L%                                                                                           -
  ------------------------------------------------------------------------------------------------->

<vrum-header>
  <div fxLayout fxLayoutAlign="space-between">
    <h1 id="managementHeaderTitle">
      {{ operation?.longLabel }}
      <span class="operation-date">{{ operation?.operationDate | date:'dd.MM.yyyy' }}</span>
    </h1>
  </div>

  <nav mat-tab-nav-bar class="operation-detail-section">
    <ng-container *ngFor="let tab of tabs">
      <a mat-tab-link
         *vrumRoles="['ROLE_ACCESS_' + tab.toUpperCase()]"
         [id]="'mat-tab-' + tab"
         [routerLink]="tab"
         routerLinkActive="mat-tab-link-active"
         (click)="activeTab = tab"
         [active]="activeTab === tab">
        {{ 'operations.detail.tabs.' + tab | translate }}
      </a>
    </ng-container>
  </nav>
</vrum-header>

<router-outlet></router-outlet>
